---
title: "Delete Source by ID"
slug: "delete-source-by-id"
updated: 2025-06-30T12:22:31Z
published: 2025-06-30T12:22:31Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Source by ID

Delete/api/1.0/paa-groups/{envId}/{paaGroupId}/sources/{sourceId}

This DELETE API is designed to Delete a Source by ID in a PAA Group.

## Notice

Accessing the APIs is through a dedicated domain/URL, according to your PlainID Tenant Location**United States (US)** - `https://api.us1.plainid.io`**Canada (CA)** - `https://api.ca1.plainid.io`**Europe (EU)** - `https://api.eu1.plainid.io`   
 

## Using HTML Encoded Special Characters

 

Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this [HTML URL Encoding Reference](https://www.w3schools.com/tags/ref_urlencode.ASP) for a full list.

   
 

## Important note about headers

 

Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.

 

### Headers

 *Required 

| Header | Value | cURL Line |
| --- | --- | --- |
| Accept | `application/json` | `-H "Accept:application/json"` |

   
 

### cURL Sample Guidelines

 

In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.

SecurityHTTPType bearer

For more details about Administration API Authentication, check out the Authentication APIs documentation Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123`

Path parametersenvIdstring (uuid) Required

The Environment ID can be found under the Details Tab in the Environment Settings.

paaGroupIdstringRequired

The PAA Group Id

sourceIdstringRequired

The Source ID

Responses204

Source Deleted

Headersx-request-idstring

401

Unauthorized

Headersx-request-idstring
